Ubuntu 15.10 правим fglrx

Проблема

После установки Ubuntu 15.10, или обновления до нее с 15.04 или 14.04 владельцы radeon-видеокарт могут наблюдать падение fps, особенно во всяких флешах и явах. Версия 15.10 известна багом с fglrx, связанная с несовместимостью версий gcc и g++. Для fglrx нужны версии 4.9, в то время как в ubuntu стоят 5. Побочными эффектами бага можно назвать полностью или частично черный сплеш-скрин, зависания на спящих и ждущих режимах.

Коротко

Частичное решение выглядит так (первая строчка для тех, у кого уже установлен fglrx):

Если у вас уже установлен fglrx, то его нужно снести:

sh /usr/share/ati/fglrx-uninstall.sh  // Если файла не существует, забиваем
apt-get remove --purge fglrx fglrx_* fglrx-amdcccle* fglrx-dev*

После удаления перезагрузитесь.

Далее установка доп. пакетов fglrx:

apt-get install fglrx-updates gcc-4.9 g++-4.9
apt-get --reinstall install fglrx-updates-core
aticonfig --initial

Решение частичное, т.к. только стабилизирует fps и не избавляет от побочных эффектов.